Subject: Re: linux-next: arm allmodconfig

From: Paul Moore <[email-masked]>
Date: Wed, 29 Oct 2008 16:12:45 -0400

On Wednesday 29 October 2008 9:53:02 am Paul Moore wrote:
> On Tuesday 28 October 2008 8:56:04 pm Andrew Morton wrote:
> > > net/netlabel/netlabel_mgmt.c: In function
> > > `netlbl_mgmt_listentry': net/netlabel/netlabel_mgmt.c:268:
> > > warning: 'ret_val' might be used uninitialized in this function
> >
> > Assumes that netlbl_af4list_foreach_rcu() will never iterate zero
> > times.
> >
> > Assumes that entry->type can never have an unexpected value.
> >
> > gcc cannot get this right, and C-level changes will be needed to
> > shut this up.
>
> No idea why this didn't come up when I was compiling this ... oh
> well, good thing I'm not a proud guy :)  I'll get this fixed and post
> a patch later today.

I updated my lblnet-2.6_next tree with a fix as well as another patch 
from Roel Kluin to fix a signed/unsigned mistake.  I'll post the 
patches to the relevant lists but I'm waiting one more patch from 
someone first.

In the meantime, interested parties can find the git tree here:

 * git://git.infradead.org/users/pcmoore/lblnet-2.6_next

-- 
paul moore
linux @ hp